> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chainstream.io/llms.txt
> Use this file to discover all available pages before exploring further.

# DEX - 견적

> DEX 거래 견적 정보 조회



## OpenAPI

````yaml /ko/api-reference/openapi-defi-ko.yaml GET /v2/dex/{chain}/quote
openapi: 3.1.0
info:
  title: Defi Service API
  description: Defi Service API ⚡️
  version: '1.0'
  contact:
    name: AI
    url: https://github.com/chainstream-io/defi-service
    email: ai@sx.ai
servers:
  - url: https://api.chainstream.io
    description: Production
security: []
tags:
  - name: Endpoints
    description: ''
paths:
  /v2/dex/{chain}/quote:
    get:
      tags:
        - Dex
      summary: DEX - 견적 조회
      description: DEX 거래 견적 정보 조회
      operationId: quote
      parameters:
        - name: chain
          required: true
          in: path
          description: 지원되는 네트워크에 나열된 체인 이름
          schema:
            $ref: '#/components/schemas/ChainSymbol'
        - name: dex
          required: true
          in: query
          description: DEX 프로토콜 유형
          schema:
            example: raydium
            enum:
              - raydium
              - pumpfun
            type: string
        - name: amount
          required: true
          in: query
          description: 거래 수량
          schema:
            example: 1000000000
            type: string
        - name: inputMint
          required: true
          in: query
          description: 입력 토큰 주소
          schema:
            example: 6p6xgHyF7AeE6TZkSmFsko444wqoP15icUSqi2jfGiPN
            type: string
        - name: outputMint
          required: true
          in: query
          description: 출력 토큰 주소
          schema:
            example: So11111111111111111111111111111111111111112
            type: string
        - name: exactIn
          required: true
          in: query
          description: 정확한 입력 모드
          schema:
            default: true
            example: true
            type: boolean
        - name: slippage
          required: true
          in: query
          description: 슬리피지 허용치
          schema:
            format: int64
            example: 10
            type: integer
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DexQuoteResponse'
      security:
        - bearer: []
components:
  schemas:
    ChainSymbol:
      type: string
      enum:
        - sol
        - bsc
        - eth
    DexQuoteResponse:
      type: object
      properties:
        amountOut:
          type: string
          description: 출력 수량
          example: '1000000000'
        minAmountOut:
          type: string
          description: 최소 출력 수량
        currentPrice:
          type: string
          description: 현재 가격
        executionPrice:
          type: string
          description: 체결 가격
        priceImpact:
          type: string
          description: 가격 영향
          example: '10.5'
        fee:
          type: string
          description: 거래 수수료
          example: '1000000000'
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````